# Uses of Interface
org.astrogrid.samp.xmlrpc.SampXmlRpcServer

Packages that use SampXmlRpcServer
Package
Description
org.astrogrid.samp.xmlrpc
Classes relating to Standard Profile and XML-RPC pluggable implementation layer.
org.astrogrid.samp.xmlrpc.apache
Implementation of pluggable XML-RPC layer using Apache XML-RPC.
org.astrogrid.samp.xmlrpc.internal
Implementation of pluggable XML-RPC layer which requires no external dependencies.

## Uses of SampXmlRpcServer in org.astrogrid.samp.xmlrpc

Methods in org.astrogrid.samp.xmlrpc that return SampXmlRpcServer
Modifier and Type
Method
Description
`SampXmlRpcServer`
SampXmlRpcServerFactory.`getServer()`
Returns an XML-RPC server implementation.

## Uses of SampXmlRpcServer in org.astrogrid.samp.xmlrpc.apache

Classes in org.astrogrid.samp.xmlrpc.apache that implement SampXmlRpcServer
Modifier and Type
Class
Description
`class`
`ApacheServer`
SampXmlRpcServer implementation based on Apache XML-RPC library.
Methods in org.astrogrid.samp.xmlrpc.apache that return SampXmlRpcServer
Modifier and Type
Method
Description
`SampXmlRpcServer`
ApacheServerFactory.`getServer()`

## Uses of SampXmlRpcServer in org.astrogrid.samp.xmlrpc.internal

Classes in org.astrogrid.samp.xmlrpc.internal that implement SampXmlRpcServer
Modifier and Type
Class
Description
`class`
`InternalServer`
SampXmlRpcServer implementation without external dependencies.
`class`
`RpcLoggingInternalServer`
InternalServer subclass which additionally logs all XML-RPC calls/responses to an output stream.
`class`
`XmlLoggingInternalServer`
Freestanding InternalServer implementation which logs all incoming and outgoing HTTP data.
Methods in org.astrogrid.samp.xmlrpc.internal that return SampXmlRpcServer
Modifier and Type
Method
Description
`SampXmlRpcServer`
InternalServerFactory.`getServer()`
`SampXmlRpcServer`
RpcLoggingInternalServerFactory.`getServer()`
`SampXmlRpcServer`
XmlLoggingInternalServerFactory.`getServer()`